com.sun.messaging.jms.management.server

## Class BrokerAttributes

- java.lang.Object
- - com.sun.messaging.jms.management.server.BrokerAttributes

    public class BrokerAttributes
    extends java.lang.Object

Class containing information on broker attributes.

### Field Summary

Fields
`static java.lang.String` `BROKER_ID` Broker ID
`static java.lang.String` `EMBEDDED` Whether broker is embedded (running in process) or not.
`static java.lang.String` `HOST` Broker host.
`static java.lang.String` `INSTANCE_NAME` Broker instance name.
`static java.lang.String` `PORT` Broker port.
`static java.lang.String` `RESOURCE_STATE` Broker memory level
`static java.lang.String` `VERSION` Broker version.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BROKER_ID

    public static final java.lang.String BROKER_ID

Broker ID

See Also:
  Constant Field Values

#### VERSION

    public static final java.lang.String VERSION

Broker version.

See Also:
  Constant Field Values

#### INSTANCE_NAME

    public static final java.lang.String INSTANCE_NAME

Broker instance name.

See Also:
  Constant Field Values

#### RESOURCE_STATE

    public static final java.lang.String RESOURCE_STATE

Broker memory level

See Also:
  Constant Field Values

#### PORT

    public static final java.lang.String PORT

Broker port.

See Also:
  Constant Field Values

#### HOST

    public static final java.lang.String HOST

Broker host.

See Also:
  Constant Field Values

#### EMBEDDED

    public static final java.lang.String EMBEDDED

Whether broker is embedded (running in process) or not.

See Also:
  Constant Field Values